
Redmine - Defect #2316

Problem tags with email issues.

2008-12-11 21:18 - Marcello Henrique

Status: Closed Start date: 2008-12-11

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

I have problem with create issues over email, Priority, Tracker, Category don't work! I think problem is filter tags, I'm using:

Project: teste

Subject: Suporte ao usuário

Priority: Urgente

Status: Novo

Tracker: Suporte

Category: engenharia

Any sugestions?

Database: mysql-client-5.0, 5.0.32-7etch8

Language: ruby, 1.8.2-1

Framework: rails, 2.1.2

SCM: svn, version 1.4.2 (r22196)

$ ruby script/about

About your application's environment

Ruby version              1.8.5 (x86_64-linux)

RubyGems version          1.3.1

Rails version             2.1.2

Active Record version     2.1.2

Action Pack version       2.1.2

Active Resource version   2.1.2

Action Mailer version     2.1.2

Active Support version    2.1.2

Application root          /home/redmine/redmine-0.8

Environment               development

Database adapter          mysql

History

#1 - 2008-12-12 21:09 - Marcello Henrique

And Redmine 0.8.0.stable.1611

#2 - 2008-12-14 16:57 - Jean-Philippe Lang

Please describe how you receive the email in Redmine.

#3 - 2008-12-15 20:59 - Marcello Henrique

Jean-Philippe Lang wrote:

Please describe how you receive the email in Redmine.

 Using RedmineReceivingEmails my config in postfix (/etc/alias) is:

redmine: "|/home/redmine/redmine-0.8/extra/mail_handler/rdm-mailhandler.rb -v --url http://redmine.cercomp.ufg.br --key keygenerate*"

keygenerate* => Go to Application settings -> Incoming emails, check Enable WS for incoming emails and enter or generate a secret key.
You need some more information?

#4 - 2008-12-15 21:13 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

The doc says:

-o, --allow-override=ATTRS     allow email content to override attributes

                               specified by previous options

                               ATTRS is a comma separated list of attributes

 So you need to add --allow_override=tracker,priority,category option.

#5 - 2008-12-15 22:01 - Marcello Henrique

Ok, use now:

redmine: "|/home/redmine/redmine-0.8/extra/mail_handler/rdm-mailhandler.rb -v --url http://redmine.cercomp.ufg.br

--allow-override=Tracker,Category,Priority --key ***"

and my email:

Project: teste

Subject: Criando Ticket via email.

Status: Novo

Tracker: Suporte

Priority: Alto

Category: Projeto

Description: Teste criando ticket via email. :-)

But don't work, work only Status: Novo.

#6 - 2008-12-16 20:58 - Marcello Henrique

- Status changed from Closed to Reopened

#7 - 2008-12-16 22:05 - Jean-Philippe Lang

Please, make it a bit easier for me to see what is going wrong

I can't solve this problem if I'm not able to reproduce it.

And Redmine 0.8.0.stable.1611

 0.8 doesn't exist at r1611

Project: teste

Status: Novo

Tracker: Suporte

Priority: Alto

Category: Projeto

 Should I guess that you have a tracker named "Suporte", a priority named "Alto" and so on...?

And what is this list? the email body?

But don't work, work only Status: Novo.

 What does "don't work" mean exactly? issue is not created?

#8 - 2008-12-16 22:42 - Marcello Henrique

Jean-Philippe Lang wrote:

Please, make it a bit easier for me to see what is going wrong

I can't solve this problem if I'm not able to reproduce it.

And Redmine 0.8.0.stable.1611

 0.8 doesn't exist at r1611
 I updated Redmine 0.8.0.stable.2132 (MySQL)

Project: teste

Status: Novo

Tracker: Suporte

Priority: Alto

Category: Projeto

 Should I guess that you have a tracker named "Suporte", a priority named "Alto" and so on...?

And what is this list? the email body?

 I have:

mysql> select * from trackers;

+----+---------------------+-------------+----------+---------------+

| id | name                | is_in_chlog | position | is_in_roadmap |

+----+---------------------+-------------+----------+---------------+

|  1 | Problema            |           1 |        1 |             0 | 

|  2 | Implementação       |           1 |        2 |             1 | 

|  3 | Suporte             |           0 |        3 |             0 | 

+----+---------------------+-------------+----------+---------------+

 

 But don't work, work only Status: Novo.

 What does "don't work" mean exactly? issue is not created?

 Issue is create but don't replace (or set) Tracker, Priority and Category.

Sorry, my bad information, have patience with me.

#9 - 2009-03-17 11:28 - karthikeyan rangaswamy

I am using This functionality issue creation By Email.

I am Passing the following text in the email body

project:myprojectname

status:mystatusname

tracker:mytrackername

priority:mypriorityname

I am executing the following rake task

rake redmine:email:receive_imap RAILS_ENV="production" host=myhostname port=myportnumber ssl=1 username=myemailaddress

password=mypassword project=charityportal1 tracker=Tasks status=Open Priority=Critical allow_override=project,status,tracker,priority

The Issue is getting created on the following project with the values i have passed

But The Problem is that the whole email body is getting stored as email description

So What i mean to say is I dont want status,project,tracker,priority parameters to be stored as issue description.only the other things needs to stored

as issue description

So My question is how can i filter all those things and store the issue description alone

#10 - 2009-03-27 21:22 - James Holle

karthikeyan rangaswamy wrote:

So My question is how can i filter all those things and store the issue description alone

 Bump.

I would also like to be able to specify the "Description" attribute instead of the whole email getting dumped into it. Plus, I wish I could populate other

issue attributes like "Start" or "Due Date" from the creation email.

#11 - 2009-11-28 13:20 - Jean-Philippe Lang
- Category changed from Email notifications to Email receiving

#12 - 2010-02-11 20:38 - Jean-Philippe Lang

- Status changed from Reopened to Closed

- Resolution changed from Invalid to Fixed

Keywords are now filtered and should not appear in issue description.

#13 - 2011-08-17 12:12 - Nourdine Nourdine

- File Screenshot.png added

- Status changed from Closed to Reopened

- Assignee set to Jean-Philippe Lang

I have tested the email receiving but priority and tracker i found it on description fields:

Project: test

Tracker: Bug

Status: New

Priority: Urgent

Assignee: nourdine nourdine

Start date: 2011-08-18

Due date: 2011-08-18

Estimated time: 1

% Done : 50

test:  This my Custom Test

#14 - 2013-09-01 23:44 - Jan Niggemann (redmine.org team member)

- Status changed from Reopened to Closed

Registered on: 2011-08-16

Last connection: 2011-08-16

Last reporter never logged in again, closing

#15 - 2015-04-28 08:19 - Charles So

I'm on Redmine 3.0.1.

I too am seeing tracker and priority not being updated after Redmine server received the email.

The server will update Status and Assignee.

MTA has ...unknown_user=ignore allow_override=tracker,priority,status,assignee in aliases.

Nothing in production.log

#16 - 2015-04-28 08:53 - Toshi MARUYAMA

You should use user language or default language.

source:tags/3.0.2/app/models/mail_handler.rb#L336

Files

Screenshot.png 112 KB 2011-08-17 Nourdine Nourdine
